# Mark as Unread

Mark one or several inbox items as unread

Endpoint: DELETE /data-points/read
Version: 20260701
Security: X-API-KEY, Authorization

## Query parameters:

  - `businessIds` (array)
    Filter by business ids

  - `countries` (array)
    Filter by countries. ISO 3166-1 alpha-2 codes

  - `zip` (string)
    Only change inbox items for locations where zip starts with given parameter

  - `dataPointTypes` (array)
    Filter by type of datapoints

  - `directoryTypes` (array)
    Filter by directories

  - `ratings` (array)
    Only change inbox items with a rating included in ratings

  - `replied` (boolean)
    Only show elements you have/you have not replied to

  - `selectAll` (boolean, required)
    If all data points matching the current filter settings should be marked as unread

  - `ids` (array)
    The uberall unique ids for the inbox items you want to mark as unread

  - `excludeIds` (array)
    If selectAll is set to true this parameter can contain a list of data point ids that should not be marked as unread

  - `query` (string)
    Filter by name

## Response 200 fields (*/*):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `warnings` (array)
    (optional) Holds further warnings

  - `response` (object, required)
    The actual response object of the response

  - `response.success` (boolean)
    Success
    Example: true

## Response 400 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

## Response 401 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

## Response 403 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

## Response 404 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

